/*----------------------------------------------------------------------
copyright (c) 2008 Georget Fabien

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--------------------------------------------------------------------------
File : MdiChild.h
Program : gt2n
Date : 10/07/08
--------------------------------------------------------------------------
Nature : Header file for the MdiChild class
--------------------------------------------------------------------------*/
 
 #ifndef MDICHILD_H
 #define MDICHILD_H

 #include <QTextEdit>
 #include "MainWindow.h"

 class Highlighter;

 class MdiChild : public QTextEdit
 {
     Q_OBJECT

 public:
     MdiChild(MainWindow *mainWin);

     void newFile();
     bool loadFile(const QString &fileName);
     bool save();
     bool saveAs();
     bool saveFile(const QString &fileName);
     QString userFriendlyCurrentFile();
     QString currentFile() { return curFile; }
     bool hasHighlight() {return isHighlight;}

 protected:
     void closeEvent(QCloseEvent *event);

 public slots:
     void documentWasModified();
     void highlight();

 private:
     bool maybeSave();
     void setCurrentFile(const QString &fileName);
     QString strippedName(const QString &fullFileName);

     Highlighter *highlighter;
     MainWindow *fenPrincipale;
     QString curFile;
     bool isUntitled;
     bool isHighlight;
 };

 #endif